{"openapi":"3.0.0","info":{"version":"0.0.0","title":"3DMfgItemsMgt Private Service (invoke)"},"servers":[{"url":"/3DSpace/resources/V0/dsmfg/invoke"}],"paths":{"/getAssignmentFiltersFromList":{"post":{"summary":"TODO","requestBody":{"description":"Optional set of attributes value","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/updatedRefAttributesSet"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/refAttributesObject"}}}}}}},"/createItems":{"post":{"summary":"Creates 1..n items of PPR type objects","requestBody":{"description":"Optional set of attributes value","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/newRefAttributesSet"}}}},"responses":{"201":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/refAttributesObject"}}}},"401":{"description":"Bad access"}}}},"/createInstances":{"post":{"summary":"Creates 1..n instances of PPR type objects","requestBody":{"description":"Optional set of attributes value","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/newInstancAttributesSet"}}}},"responses":{"201":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createdInstancAttributesSet"}}}}}}},"/createConnections":{"post":{"summary":"Creates 1..n semantic relations between PPR objects","requestBody":{"description":"Optional set of attributes value","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/createConnectionObject"}}}},"responses":{"201":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createdConnectionObject"}}}}}}},"/setAttributes/{phsicalid}":{"post":{"summary":"Set attributes on on item or instance of DELMIA type","parameters":[{"in":"path","name":"phsicalid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/refAttributesObject"}}}}}}},"/setAttributes":{"post":{"summary":"Set attributes on item(s) or instance(s) of DELMIA type","requestBody":{"description":"Optional set of attributes value","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/updateInstAttributesSet"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/updatedInstAttributesSet"}}}}}}},"/navigate":{"post":{"summary":"Navigation on semantic relations between PPR objects","requestBody":{"description":"Input can be either items or occurrence pathes according the expected relationship information. Supported semantic relations are Realizing System, Capable Resource Reference, Implement, Product Flow","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/navigate"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/navigateAttributesObject"}}}}}}},"/replace":{"post":{"summary":"Replace of instantiated item(s) by new reference(s) of PPR type","requestBody":{"description":"By providing an existing instance by a physicalid, the instantiated reference is replaced by the requested existing reference. A new physicalid of the instance is created. Optionally, attributes can be send, to be used for the new instance. The service supports bulk mode. The body can contain a list of instances, to be replaced.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/replaceInstanceAttributesSet"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/replacedInstancAttributesSet"}}}}}}}},"components":{"parameters":{"physicalid":{"name":"physicalid","description":"A physical ID","in":"path","required":true,"schema":{"$ref":"#/components/schemas/physicalIDDef"}}},"schemas":{"physicalIDDef":{"description":"A physical ID","type":"string","pattern":"[A-F0-9]{32}","example":"1A7EE6DDC22940159A862CEE581283AD"},"deletedObjects":{"type":"array","items":{"$ref":"#/components/schemas/physicalIDDef"}},"refAttributesValueArray":{"type":"array","items":{"$ref":"#/components/schemas/refAttributesObject"}},"newInstancAttributesSet":{"type":"object","example":{"instances":[{"isInstanceOf":"FD260D3ADFB341DFACF84A6EA7C47421","isAggregatedBy":"4470690D44D345D1BC3BFB17E888C0B3","attributes":{"PLMInstance.V_Name":"MyInstance.1"}}]}},"replaceInstanceAttributesSet":{"type":"object","example":[{"instance":"FD260D3ADFB341DFACF84A6EA7C47421","isInstanceOf":"4470690D44D345D1BC3BFB17E888C0B3","attributes":{"PLMInstance.V_Name":"MyInstanceReplaced.1"}}]},"navigate":{"type":"object","example":[{"occurrence":[["D466ADA296D14A7AA44EB02C3AF21D04","5E8DB49D07D7485883AD569EB1381BA5"]],"items":["19D1CDC970C342A3AA925610158E1700"]}]},"createdInstancAttributesSet":{"type":"object","example":{"instances":[{"physicalid":"FD260D3ADFB341DFACF84A6EA7C4742A","isInstanceOf":"FD260D3ADFB341DFACF84A6EA7C47421","isAggregatedBy":"4470690D44D345D1BC3BFB17E888C0B3","type":"VPMInstance","attributes":{"PLMInstance.V_Name":"MyInstance.1","modified":"2019/08/02@14:27:43:GMT","organization\"":"Default","originated":"2019/08/02@14:27:43:GMT","owner":"a6r","project":"TEST","reserved":"FALSE","reservedby":"NULL"}}]}},"replacedInstancAttributesSet":{"type":"object","example":[{"physicalid":"FD260D3ADFB341DFACF84A6EA7C47422","isInstanceOf":"FD260D3ADFB341DFACF84A6EA7C47433","isAggregatedBy":"4470690D44D345D1BC3BFB17E888C0B3","type":"VPMInstance","attributes":{"PLMInstance.V_Name":"MyInstance.1","modified":"2019/08/02@14:27:43:GMT","organization\"":"Default","originated":"2019/08/02@14:27:43:GMT","owner":"a6r","project":"TEST","reserved":"FALSE","reservedby":"NULL"}}]},"newRefAttributesSet":{"type":"array","example":{"items":[{"attributes":{"PLMEntity.V_Name":"CreateAssembly","PLMEntity.V_description":"assembly created by service"},"type":"CreateAssembly"}]}},"updatedRefAttributesSet":{"properties":{"PLMEntity.V_Name":{"type":"string"},"PLMEntity.V_description":{"type":"string"}},"example":{"PLMEntity.V_Name":"New name","PLMEntity.V_description":"New description"}},"refAttributesValue":{"required":["PID","PPRTYPE","type"],"properties":{"PID":{"$ref":"#/components/schemas/physicalIDDef"},"PPRTYPE":{"type":"string","enum":["PRODUCT","PROCESS","SYSTEM","OPERATION"]},"type":{"type":"string"},"V_Name":{"type":"string"},"V_description":{"type":"string"}}},"refAttributesObject":{"required":["attributesValue"],"description":"A PPR reference object described by its attributes","properties":{"attributesValue":{"$ref":"#/components/schemas/refAttributesValue"}},"example":{"items":[{"type":"CreateAssembly","physicalid":"1A7EE6DDC22940159A862CEE581283AD","attributes":{"DELAsmLotRefRequired.V_LotNumberRequired":"FALSE","DELAsmUnitRefRequired.V_SerialNumberRequired":"FALSE","PID":"1A7EE6DDC22940159A862CEE581283AD","PLM_ExternalID":"mass-19915292-00000015","PPRTYPE":"PROCESS","V_AnalysedTime":"0.0","V_ApplicabilityDate":"NULL","V_AssemblyComposition":"Indépendant ","V_AuthorityControl":"FALSE","V_ChangeHistory":"FALSE","V_CustoDiscipline":"NULL","V_EstimatedCost":"0.0","V_EstimatedCostCurrency":"NULL","V_EstimatedLeadTimeDescription":"NULL","V_EstimatedTime":"0.0","V_EstimatedWeight":"0.0","V_MAName":"NULL","V_MANumber":"NULL","V_ManufacturedItemClassification":"NULL","V_Manufacturing_Decision":"Non défini ","V_MaterialCategory":"NULL","V_Name":"CreateAssembly","V_NeedDedicatedSystem":"Yes","V_Outsourced":"Non ","V_PersistMfgAssembly":"FALSE","V_ProjectApplicability":"NULL","V_SpareManufacturedItem":"FALSE","V_TargetReleaseDate":"NULL","V_ThroughPutTime":"0.0","V_description":"NULL","V_discipline":"CreateAssembly","V_fromExternalID":"NULL","V_isLastVersion":"TRUE","V_isTerminal":"FALSE","V_isVPLMControlled":"TRUE","V_nature":"Definition","V_sec_level":"-1","V_usage":"NULL","V_versionComment":"NULL","current":"En traitement","description":"NULL","isbestsofar":"TRUE","ispublished":"FALSE","locked":"FALSE","locker":"NULL","majorrevision":"A","minorrevision":"1","modified":"2019/07/09@13:09:57:GMT","name":"mass-19915292-00000015","organization":"MyCompany","originated":"2019/07/09@13:09:57:GMT","owner":"jpc","policy":"VPLM_SMB_Definition","project":"3DS Collab Space","reserved":"FALSE","reservedby":"NULL","revision":"A.1"}}]}},"newInstAttributesValue":{"required":["isAggregatedBy"],"properties":{"isAggregatedBy":{"$ref":"#/components/schemas/physicalIDDef"},"type":{"type":"string"},"V_Name":{"type":"string"},"V_description":{"type":"string"}},"example":{"PLMEntity.V_Name":"Provide_1","PLMEntity.V_description":"","V_Type":"DELAsmAssemblyModelDisciplines/Provide","isAggregatedBy":"1A7EE6DDC22940159A862CEE581283AD","oneDelmiaAggregationMode":true,"type":"Provide"}},"updateInstAttributesSet":{"properties":{"physicalid":{"type":"string"},"PLMEntity.V_description":{"type":"string"}},"example":{"items":[{"physicalid":"1A7EE6DDC22940159A862CEE581283AD","attributes":{"PLMEntity.V_Name":"New name","PLMEntity.V_description":"New description"}}]}},"updatedInstAttributesSet":{"properties":{"physicalid":{"type":"string"},"PLMEntity.V_description":{"type":"string"}},"example":{"items":[{"physicalid":"1A7EE6DDC22940159A862CEE581283AD","attributes":{"PLMEntity.V_Name":"New name","PLMEntity.V_description":"New description","PPRTYPE":"PROCESS","owner":"jpc","policy":"VPLM_SMB_Definition","project":"3DS Collab Space","reserved":"FALSE","reservedby":"NULL","revision":"A.1"}}]}},"instAttributesValue":{"required":["PID","PPRTYPE","type","isAggregatedBy","isInstanceOf"],"properties":{"PID":{"$ref":"#/components/schemas/physicalIDDef"},"isAggregatedBy":{"$ref":"#/components/schemas/physicalIDDef"},"isInstanceOf":{"$ref":"#/components/schemas/physicalIDDef"},"PPRTYPE":{"type":"string","enum":["PRODUCT","PROCESS","SYSTEM","OPERATION"]},"type":{"type":"string"},"V_Name":{"type":"string"},"V_description":{"type":"string"}}},"instAttributesObject":{"required":["attributesValue"],"description":"A PPR instance object described by its attributes","properties":{"attributesValue":{"$ref":"#/components/schemas/instAttributesValue"}},"example":{"attributesValue":{"PID":"5C0779CEF11C472C9537094C2FA82A9D","PLM_ExternalID":"PLMInstance.PrefixProvide_2.0","PPRTYPE":"PROCESS","V_CustoDiscipline":"NULL","V_DiscreteQuantity":"1","V_Name":"NULL","V_description":"NULL","V_discipline":"DELFmiFunctionIdentifiedInstance","V_isVPLMControlled":"TRUE","V_nature":"Definition","V_sec_level":"-1","V_usage":"NULL","isAggregatedBy":"1A7EE6DDC22940159A862CEE581283AD","isInstanceOf":"BF569608CCFF47B1A356E82C9AF7B8FE","modified":"2019/07/10@07:01:44:GMT","organization":"MyCompany","originated":"2019/07/10@07:01:44:GMT","owner":"jpc","physicalid":"5C0779CEF11C472C9537094C2FA82A9D","project":"3DS Collab Space","reserved":"FALSE","reservedby":"NULL","type":"DELFmiFunctionIdentifiedInstance"},"to.attributesValue":{"DELAsmLotRefRequired.V_LotNumberRequired":"FALSE","DELAsmUnitRefRequired.V_SerialNumberRequired":"FALSE","PID":"B605BCDB081442AEBAA65E555FFB1CC4","PLM_ExternalID":"prvd-19915292-00000007","PPRTYPE":"PROCESS","V_AnalysedTime":"0.0","V_ApplicabilityDate":"NULL","V_AuthorityControl":"FALSE","V_ChangeHistory":"FALSE","V_CustoDiscipline":"NULL","V_EstimatedCost":"0.0","V_EstimatedCostCurrency":"NULL","V_EstimatedLeadTimeDescription":"NULL","V_EstimatedTime":"0.0","V_EstimatedWeight":"0.0","V_ManufacturedItemClassification":"NULL","V_MaterialCategory":"NULL","V_Name":"Provide_1","V_ProjectApplicability":"NULL","V_SpareManufacturedItem":"FALSE","V_TargetReleaseDate":"NULL","V_ThroughPutTime":"0.0","V_description":"NULL","V_discipline":"Provide","V_fromExternalID":"NULL","V_isLastVersion":"TRUE","V_isTerminal":"FALSE","V_isVPLMControlled":"TRUE","V_nature":"Definition","V_sec_level":"-1","V_usage":"NULL","V_versionComment":"NULL","current":"En traitement","description":"NULL","isbestsofar":"TRUE","ispublished":"FALSE","locked":"FALSE","locker":"NULL","majorrevision":"A","minorrevision":"1","modified":"2019/07/10@07:01:11:GMT","name":"prvd-19915292-00000007","organization":"MyCompany","originated":"2019/07/10@07:01:10:GMT","owner":"jpc","physicalid":"B605BCDB081442AEBAA65E555FFB1CC4","policy":"VPLM_SMB_Definition","project":"3DS Collab Space","reserved":"FALSE","reservedby":"NULL","revision":"A.1","type":"Provide"}}},"newConnectionValue":{"required":["IDFrom","IDTo","type"],"properties":{"IDFrom":{"$ref":"#/components/schemas/physicalIDDef"},"IDTo":{"$ref":"#/components/schemas/physicalIDDef"},"type":{"type":"string"}},"example":{"IDFrom":"1A7EE6DDC22940159A862CEE581283AD","IDTo":"BF569608CCFF47B1A356E82C9AF7B8FE","type":"PROCESS_MfgProcessAlternate"}},"connectionValue":{"required":["PID","type"],"properties":{"PID":{"$ref":"#/components/schemas/physicalIDDef"},"type":{"type":"string"}},"example":{"PID":"66BA47F341D000002904265DFFC60100","modified":"2019/07/10@15:28:41:GMT","organization":"MyCompany","originated":"2019/07/10@15:28:41:GMT","owner":"jpc","physicalid":"66BA47F341D000002904265DFFC60100","project":"3DS Collab Space","reserved":"FALSE","reservedby":"NULL","type":"MfgProcessAlternate"}},"updatedConnectionValue":{"required":["PID","type"],"properties":{"PID":{"$ref":"#/components/schemas/physicalIDDef"},"type":{"type":"string"}},"example":{"PID":"66BA47F341D000002904265DFFC60100","modified":"2019/07/10@15:28:41:GMT","organization":"MyCompany","originated":"2019/07/10@15:28:41:GMT","owner":"jpc","physicalid":"66BA47F341D000002904265DFFC60100","project":"3DS Collab Space","reserved":"FALSE","reservedby":"NULL","type":"MfgProcessAlternate","V_myAttr":"New value"}},"updatedConnectionAttributesSet":{"required":["previous"],"properties":{"previous":{"type":"object"}},"example":{"MfgProcessAlternate.V_myAttr":"New value","previous":{"MfgProcessAlternate.V_myAttr":"Old value"}}},"fromConnectionValue":{"required":["PID","type"],"properties":{"PID":{"$ref":"#/components/schemas/physicalIDDef"},"type":{"type":"string"}},"example":{"DELAsmLotRefRequired.V_LotNumberRequired":"FALSE","DELAsmUnitRefRequired.V_SerialNumberRequired":"FALSE","PID":"1A7EE6DDC22940159A862CEE581283AD","PLM_ExternalID":"mass-19915292-00000015","PPRTYPE":"PROCESS","V_AnalysedTime":"0.0","V_ApplicabilityDate":"NULL","V_AssemblyComposition":"Indépendant ","V_AuthorityControl":"FALSE","V_ChangeHistory":"FALSE","V_CustoDiscipline":"NULL","V_EstimatedCost":"0.0","V_EstimatedCostCurrency":"NULL","V_EstimatedLeadTimeDescription":"NULL","V_EstimatedTime":"0.0","V_EstimatedWeight":"0.0","V_MAName":"NULL","V_MANumber":"NULL","V_ManufacturedItemClassification":"NULL","V_Manufacturing_Decision":"Non défini ","V_MaterialCategory":"NULL","V_Name":"CreateAssembly","V_NeedDedicatedSystem":"Yes","V_Outsourced":"Non ","V_PersistMfgAssembly":"FALSE","V_ProjectApplicability":"NULL","V_SpareManufacturedItem":"FALSE","V_TargetReleaseDate":"NULL","V_ThroughPutTime":"0.0","V_description":"NULL","V_discipline":"CreateAssembly","V_fromExternalID":"NULL","V_isLastVersion":"TRUE","V_isTerminal":"FALSE","V_isVPLMControlled":"TRUE","V_nature":"Definition","V_sec_level":"-1","V_usage":"NULL","V_versionComment":"NULL","current":"En traitement","description":"NULL","isbestsofar":"TRUE","ispublished":"FALSE","locked":"FALSE","locker":"NULL","majorrevision":"A","minorrevision":"1","modified":"2019/07/09@13:09:57:GMT","name":"mass-19915292-00000015","organization":"MyCompany","originated":"2019/07/09@13:09:57:GMT","owner":"jpc","physicalid":"1A7EE6DDC22940159A862CEE581283AD","policy":"VPLM_SMB_Definition","project":"3DS Collab Space","reserved":"FALSE","reservedby":"NULL","revision":"A.1","type":"CreateAssembly"}},"toConnectionValue":{"required":["PID","type"],"properties":{"PID":{"$ref":"#/components/schemas/physicalIDDef"},"type":{"type":"string"}},"example":{"DELAsmLotRefRequired.V_LotNumberRequired":"FALSE","DELAsmUnitRefRequired.V_SerialNumberRequired":"FALSE","PID":"BF569608CCFF47B1A356E82C9AF7B8FE","PLM_ExternalID":"prvd-19915292-00000008","PPRTYPE":"PROCESS","V_AnalysedTime":"0.0","V_ApplicabilityDate":"NULL","V_AuthorityControl":"FALSE","V_ChangeHistory":"FALSE","V_CustoDiscipline":"NULL","V_EstimatedCost":"0.0","V_EstimatedCostCurrency":"NULL","V_EstimatedLeadTimeDescription":"NULL","V_EstimatedTime":"0.0","V_EstimatedWeight":"0.0","V_ManufacturedItemClassification":"NULL","V_MaterialCategory":"NULL","V_Name":"Provide_2","V_ProjectApplicability":"NULL","V_SpareManufacturedItem":"FALSE","V_TargetReleaseDate":"NULL","V_ThroughPutTime":"0.0","V_description":"NULL","V_discipline":"Provide","V_fromExternalID":"NULL","V_isLastVersion":"TRUE","V_isTerminal":"FALSE","V_isVPLMControlled":"TRUE","V_nature":"Definition","V_sec_level":"-1","V_usage":"NULL","V_versionComment":"NULL","current":"En traitement","description":"NULL","isbestsofar":"TRUE","ispublished":"FALSE","locked":"FALSE","locker":"NULL","majorrevision":"A","minorrevision":"1","modified":"2019/07/10@07:01:38:GMT","name":"prvd-19915292-00000008","organization":"MyCompany","originated":"2019/07/10@07:01:38:GMT","owner":"jpc","physicalid":"BF569608CCFF47B1A356E82C9AF7B8FE","policy":"VPLM_SMB_Definition","project":"3DS Collab Space","reserved":"FALSE","reservedby":"NULL","revision":"A.1","type":"Provide"}},"connectionObject":{"required":["attributesValue","from.attributesValue","to.attributesValue"],"properties":{"attributesValue":{"$ref":"#/components/schemas/connectionValue"},"from.attributesValue":{"$ref":"#/components/schemas/fromConnectionValue"},"to.attributesValue":{"$ref":"#/components/schemas/toConnectionValue"}}},"updatedConnectionObject":{"required":["attributesValue"],"properties":{"attributesValue":{"$ref":"#/components/schemas/updatedConnectionValue"}}},"createConnectionObject":{"required":["connections"],"description":"list of pairs of : physicalid or occurrence path","properties":{"connections":{"$ref":"#/components/schemas/refAttributesConnections"}},"example":{"connections":[{"from":"EC847CAD38094BB993AD992A89A65D00","to":"EE8C8779616240D289B06616E11E977E","type":"Capable Resource Reference"},{"from":"20E0EB3DB563404E907121A5C8C48921","to":"D640C984D7AF4C8581FBC5CDBD7208F0","type":"Capable Resource Reference"},{"from":["4937A4037CFE4E10B3549A57B2EED1DC","BDE32D8B59494D7BA35D305678977314"],"to":["D8411F6E6E1E48308C6EFDC27543ABB2","A4AB4A7F191E4E0D8FFDDA3E57167F50"],"type":"Implement"}]}},"createdConnectionObject":{"type":"object","example":{"connections":[{"physicalid":"63128BD51F2341E4B593D354DCFE1501","attributes":{"PID":"63128BD51F2341E4B593D354DCFE1501","PLM_ExternalID":"NULL","V_Contiguity":"FALSE","V_CustoDiscipline":"NULL","V_Delay":"0.0","V_DelayMode":"MinDelay","V_DependencyType":"Finish to Start","V_IsActive":"TRUE","V_MaterialNeed":"TRUE","V_Name":"NULL","V_OptionalTimeConstraint":"FALSE","V_ResourceConstraint":"None","V_description":"NULL","V_discipline":"NULL","V_isVPLMControlled":"TRUE","V_nature":"Definition","V_sec_level":"-1","V_usage":"NULL","current":"DEFAULT","description":"NULL","isbestsofar":"TRUE","ispublished":"FALSE","locked":"FALSE","locker":"NULL","majorrevision":"NULL","minorrevision":"NULL","modified":"2019/08/28@11:19:07:GMT","name":"63128BD51F2341E4B593D354DCFE1501","organization":"BMW","originated":"2019/08/28@11:19:07:GMT","owner":"a6r","physicalid":"63128BD51F2341E4B593D354DCFE1501","policy":"VPLM_SMB_CX_Definition","project":"BMW_TEST","reserved":"FALSE","reservedby":"NULL","revision":"NULL"},"from":{"physicalid":["917F8C3E987A4CB0AACD222BF0A2FC0D","0258A285051B40E88F0DD4E676F64F31"],"attributes":{"PID":"0258A285051B40E88F0DD4E676F64F31","PLM_ExternalID":"PLMInstance.Prefix02.41QQQ52217004L_TOSYSTEM_0030.0","PPRTYPE":"OPERATION","V_Balanceable":"TRUE","V_CustoDiscipline":"NULL","V_Name":"NULL","V_description":"NULL","V_discipline":"NULL","V_isVPLMControlled":"TRUE","V_nature":"Definition","V_sec_level":"-1","V_usage":"NULL","isAggregatedBy":"F9893361556F4B918F2F6A9D98F6795C","isInstanceOf":"20F9D991B5044DC5A05B068D2B0608CA","modified":"2019/08/28@11:19:05:GMT","organization":"BMW","originated":"2019/08/28@11:19:05:GMT","owner":"a6r","project":"BMW_TEST","reserved":"FALSE","reservedby":"NULL"},"type":"DELLmiGeneralOperationInstance"},"to":{"physicalid":["652D46F6FD0B4FB8AEBDF9749825B40B","C5B8319A0EC048269B2154B6B5ABDBD1"],"attributes":{"PID":"C5B8319A0EC048269B2154B6B5ABDBD1","PLM_ExternalID":"PLMInstance.Prefix02.41QQQ52217004L_PRODUCTFLOW_0050.0","PPRTYPE":"OPERATION","V_Balanceable":"TRUE","V_CustoDiscipline":"NULL","V_Name":"NULL","V_description":"NULL","V_discipline":"NULL","V_isVPLMControlled":"TRUE","V_nature":"Definition","V_sec_level":"-1","V_usage":"NULL","isAggregatedBy":"8D9481F789964DDAA0A192E0F6F23065","isInstanceOf":"3EE90F2CFEC3443885BAE9AA9A16451E","modified":"2019/08/28@11:19:05:GMT","organization":"BMW","originated":"2019/08/28@11:19:05:GMT","owner":"a6r","project":"BMW_TEST","reserved":"FALSE","reservedby":"NULL"},"type":"DELLmiGeneralOperationInstance"},"type":"Product Flow"}]}},"refAttributesConnections":{"required":["from","to","type"],"properties":{"from":{"$ref":"#/components/schemas/physicalIDDef"},"to":{"$ref":"#/components/schemas/physicalIDDef"},"type":{"type":"string","enum":["Capable Resource Reference","Realized Manufactured Item","Product Flow","Implement"]}}},"navigateAttributesObject":{"required":["attributesValue"],"description":"A PPR response from a navigation on the connections","properties":{"attributesValue":{"$ref":"#/components/schemas/refAttributesValue"}},"example":{"connections":[{"type":"Capable Resource Reference","physicalid":"CCCC328A60334EF290E4AAE20F6D1F4F","attributes":{"PLMConnection.V_isVPLMControlled":"TRUE","PLMEntity.PLM_ExternalID":"NULL","PLMEntity.V_CustoDiscipline":"NULL","PLMEntity.V_Name":"NULL","PLMEntity.V_description":"NULL","PLMEntity.V_discipline":"NULL","PLMEntity.V_nature":"Definition","PLMEntity.V_sec_level":"-1","PLMEntity.V_usage":"NULL","current":"DEFAULT","description":"NULL","isbestsofar":"TRUE","ispublished":"FALSE","locked":"FALSE","locker":"NULL","majorrevision":"NULL","minorrevision":"NULL","modified":"2019/08/14@11:43:02:GMT","name":"CCCC328A60334EF290E4AAE20F6D1F4F","organization":"BMW","originated":"2019/08/14@11:43:02:GMT","owner":"a6r","policy":"VPLM_SMB_CX_Definition","project":"BMW_TEST","reserved":"FALSE","reservedby":"NULL","revision":"NULL"}},{"from":{"physicalid":"19D1CDC970C342A3AA925610158E1700","attributes":{"DELAsmLotRefRequired.V_LotNumberRequired":"FALSE","DELAsmUnitRefRequired.V_SerialNumberRequired":"FALSE","DELFmiFunctionPPRCreateReference.V_EstimatedCost":"0.0","DELFmiFunctionPPRCreateReference.V_EstimatedCostCurrency":"NULL","DELFmiFunctionPPRCreateReference.V_EstimatedLeadTimeDescription":"NULL","DELFmiFunctionPPRCreateReference.V_EstimatedWeight":"0.0","DELFmiFunctionPPRCreateReference.V_ManufacturedItemClassification":"NULL","DELFmiFunctionPPRCreateReference.V_MaterialCategory":"NULL","DELFmiFunctionPPRCreateReference.V_SpareManufacturedItem":"FALSE","DELFmiFunctionPPRCreateReference.V_TargetReleaseDate":"NULL","DELFmiFunctionReference.V_AnalysedTime":"0.0","DELFmiFunctionReference.V_EstimatedTime":"0.0","DELFmiFunctionReference.V_ThroughPutTime":"0.0","PID":"19D1CDC970C342A3AA925610158E1700","PLMCoreReference.V_ChangeHistory":"FALSE","PLMCoreReference.V_isTerminal":"FALSE","PLMEntity.PLM_ExternalID":"prvd-83727364-00002128","PLMEntity.V_CustoDiscipline":"NULL","PLMEntity.V_Name":"02.41QQQ52217004L_000_PROCESS_FROM","PLMEntity.V_description":"NULL","PLMEntity.V_discipline":"Provide","PLMEntity.V_nature":"Definition","PLMEntity.V_sec_level":"-1","PLMEntity.V_usage":"NULL","PLMReference.V_ApplicabilityDate":"NULL","PLMReference.V_AuthorityControl":"FALSE","PLMReference.V_ProjectApplicability":"NULL","PLMReference.V_fromExternalID":"NULL","PLMReference.V_isLastVersion":"TRUE","PLMReference.V_isVPLMControlled":"TRUE","PLMReference.V_versionComment":"NULL","PPRTYPE":"PROCESS","current":"In Work","description":"NULL","isbestsofar":"TRUE","ispublished":"FALSE","locked":"FALSE","locker":"NULL","majorrevision":"A","minorrevision":"1","modified":"2019/08/14@11:43:01:GMT","name":"prvd-83727364-00002128","organization":"BMW","originated":"2019/08/14@11:43:00:GMT","owner":"a6r","policy":"VPLM_SMB_Definition","project":"BMW_TEST","reserved":"FALSE","reservedby":"NULL","revision":"A.1"},"type":"Create Assembly"}},{"to":{"physicalid":"20135FD50BE34C458D38666BF48A4970","attributes":{"LPAbstractReference.V_Scale":"NormalScale","PID":"20135FD50BE34C458D38666BF48A4970","PLMCoreReference.V_ChangeHistory":"FALSE","PLMCoreReference.V_isTerminal":"FALSE","PLMEntity.PLM_ExternalID":"ncc-83727364-00008021","PLMEntity.V_CustoDiscipline":"NULL","PLMEntity.V_Name":"02.41QQQ52217004L_020_RESOURCE_TO","PLMEntity.V_description":"NULL","PLMEntity.V_discipline":"Organizational","PLMEntity.V_nature":"Definition","PLMEntity.V_sec_level":"-1","PLMEntity.V_usage":"NULL","PLMReference.V_ApplicabilityDate":"NULL","PLMReference.V_AuthorityControl":"FALSE","PLMReference.V_ProjectApplicability":"NULL","PLMReference.V_fromExternalID":"NULL","PLMReference.V_isLastVersion":"TRUE","PLMReference.V_isVPLMControlled":"TRUE","PLMReference.V_versionComment":"NULL","PPRTYPE":"RESOURCE","Resource.V_CalculatedCycleTime":"0.0","Resource.V_Category":"NULL","Resource.V_ConsumableCost":"0.0","Resource.V_CycleTime":"0.0","Resource.V_EnergyCost":"0.0","Resource.V_MTBF":"0.0","Resource.V_MTTR":"0.0","Resource.V_MaintenanceCost":"0.0","Resource.V_Manufacturer":"NULL","Resource.V_PurchaseCost":"0.0","Resource.V_RepairCost":"0.0","Resource.V_SetUpTime":"0.0","Resource.V_SetUpTimeReduced":"0.0","Resource.V_SubType":"NULL","Resource.V_TargetCost":"0.0","Resource.V_TargetedCycleTime":"0.0"}}},{"type":"Implement","physicalid":"ProcessImplementLinkOcc|[D466ADA296D14A7AA44EB02C3AF21D04,5E8DB49D07D7485883AD569EB1381BA5]|[07636DEB0AE54AF48A164D7CB1D8DEE6,   44D5630DA0A04539AAE02AECD59E2948]","from":{"physicalid":["D466ADA296D14A7AA44EB02C3AF21D04","75135848069849D89108CB7FC6DBBE48"]},"to":{"physicalid":["07636DEB0AE54AF48A164D7CB1D8DEE6","235D5663D9034306B99DDED1A77BEE7F"]}}]}}}}}